Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cascading.tuple.hadoop.collect
Class HadoopTupleCollectionFactory

    java.lang.Object
      cascading.tuple.hadoop.collect.HadoopTupleCollectionFactory

All Implemented Interfaces:
  CascadingFactory<JobConf,Collection<Tuple>>, TupleCollectionFactory<JobConf>

    public class HadoopTupleCollectionFactory

extends Object
implements TupleCollectionFactory<JobConf>

Field Summary

Fields inherited from interface cascading.tuple.collect.TupleCollectionFactory
`TUPLE_COLLECTION_FACTORY`

Constructor Summary
`HadoopTupleCollectionFactory()`

Method Summary
`Collection<Tuple>` | `create(FlowProcess<JobConf> flowProcess)` Method create will return a new instance of the type create by this factory.
`void` | `initialize(FlowProcess<JobConf> flowProcess)` Method initialize will configure an initialize this factory instance.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HadoopTupleCollectionFactory

    public HadoopTupleCollectionFactory()

Method Detail

### initialize

    public void initialize(FlowProcess<JobConf> flowProcess)

  Description copied from interface: `CascadingFactory`
  Method initialize will configure an initialize this factory instance.

  Specified by:
    `initialize` in interface `CascadingFactory<JobConf,Collection<Tuple>>`
  Parameters:
    `flowProcess` - of type FlowProcess

### create

    public Collection<Tuple> create(FlowProcess<JobConf> flowProcess)

  Description copied from interface: `CascadingFactory`
  Method create will return a new instance of the type create by this factory.

  Specified by:
    `create` in interface `CascadingFactory<JobConf,Collection<Tuple>>`
  Parameters:
    `flowProcess` - of type FlowProcess
  Returns:
    of type Instance

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2013 Concurrent, Inc. All Rights Reserved.